# My Ardour Scripts

This repository contains the [Lua scripts] I have written for the [Ardour DAW].

The scripts are released under the [MIT License]. Please see the details in the
file [LICENSE.md](./LICENSE.md).

## Scripts

[rename_regions_from_markers.lua](./rename_regions_from_markers.lua)

Renames all selected regions to the name of the track they are on plus the
label of the range marker, which starts where the region starts. If no range
marker is found at this position, the region name remains unchanged. Supports
undo.

[Ardour DAW]: https://ardour.org/
[Lua scripts]: https://manual.ardour.org/lua-scripting/
[MIT License]: https://spdx.org/licenses/MIT.html

